Source: kf6-kpackage
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.11.0~),
               libkf6archive-dev (>= 6.11.0~),
               libkf6coreaddons-dev (>= 6.11.0~),
               libkf6doctools-dev (>= 6.11.0~),
               libkf6i18n-dev (>= 6.11.0~),
               qt6-base-dev (>= 6.6.0~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kpackage
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kpackage
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kpackage.git
Rules-Requires-Root: no

Package: kpackagetool6
Section: kde
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: command line kpackage tool
 KPackage provides classes for applications to manage user installable packages
 of non-binary assets.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the runtime package management tool.

Package: libkf6package-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: non-binary asset management framework
 KPackage provides classes for applications to manage user installable packages
 of non-binary assets.
 .
 This package contains the translations.

Package: libkf6package-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: kpackagetool6 (= ${binary:Version}),
         libkf6coreaddons-dev (>= 6.11.0~),
         libkf6package6 (= ${binary:Version}),
         qt6-base-dev (>= 6.6.0~),
         ${misc:Depends},
Recommends: libkf6package-doc (= ${source:Version}),
Description: development files for kpackage
 KPackage provides classes for applications to manage user installable packages
 of non-binary assets.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the development files.

Package: libkf6package-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: non-binary asset management framework (documentation)
 KPackage provides classes for applications to manage user installable packages
 of non-binary assets.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6package6
Architecture: any
Multi-Arch: same
Depends: libkf6package-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kpackagetool6 (>= ${binary:Version}),
Description: non-binary asset management framework
 KPackage provides classes for applications to manage user installable packages
 of non-binary assets.
 .
 This package is part of KDE Frameworks 6.
